Developers
V1PartnerTenantsTenantidLeaveIdCertificate

HR views an employee-shared certificate photo

Current corporate owner/HR role and fresh passkey required. Explicit per-photo submission consent, active employee, unexpired photo and non-withdrawn request required. Every successful read is audited without photo content. No public URL or email attachment.

GET
/v1/partner/tenants/{tenantId}/leave/{id}/certificate
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/leave/497f6eca-6276-4993-bfeb-53cbbbba6f08/certificate"
{  "mimeType": "image/jpeg",  "expiresAt": "2019-08-24T14:15:22Z",  "base64": "string"}